ClientEvents.lang("en_us", (e) => {


    e.add("key.alienevo.key1", "Quick Change Slot 01");
    e.add("key.alienevo.key2", "Quick Change Slot 02");
    e.add("key.alienevo.key3", "Quick Change Slot 03");
    e.add("key.alienevo.key4", "Quick Change Slot 04");
    e.add("key.alienevo.key5", "Quick Change Slot 05");
    e.add("key.alienevo.key6", "Quick Change Slot 06");
    e.add("key.alienevo.key7", "Quick Change Slot 07");
    e.add("key.alienevo.key8", "Quick Change Slot 08");
    e.add("key.alienevo.key9", "Quick Change Slot 09");
    e.add("key.alienevo.key10", "Quick Change Slot 10");
});

// Object to track previous key states
let wasKeyDown = {};
// Track the currently active key (if any)
let activeKey = null;
// Track how many keys are currently pressed
let keysCurrentlyPressed = 0;

ClientEvents.tick(event => {
    let player = Client.player;
    if (!player || Client.currentScreen) return;
    
    const quickChangeKeys = [
        "QUICKCHANGE01", "QUICKCHANGE02", "QUICKCHANGE03", "QUICKCHANGE04", "QUICKCHANGE05",
        "QUICKCHANGE06", "QUICKCHANGE07", "QUICKCHANGE08", "QUICKCHANGE09", "QUICKCHANGE10"
    ];
    
    let currentlyPressedCount = 0;
    quickChangeKeys.forEach(keyName => {
        let key = global[keyName];
        if (!key) return;
        
        let bind = key.key.getValue();
        if (Client.isKeyDown(bind)) {
            currentlyPressedCount++;
        }
    });
    
    if (currentlyPressedCount === 0) {
        activeKey = null;
    }
    
    if (currentlyPressedCount === 1 && (activeKey === null || keysCurrentlyPressed !== currentlyPressedCount)) {
        quickChangeKeys.forEach(keyName => {
            let key = global[keyName];
            if (!key) return;
            
            let bind = key.key.getValue();
            let down = Client.isKeyDown(bind);
            
            if (down && !wasKeyDown[keyName] && activeKey === null) {
                player.sendData('quickchange_key_pressed', { keyName: keyName });
                activeKey = keyName;
            }
            
            wasKeyDown[keyName] = down;
        });
    } else {
        quickChangeKeys.forEach(keyName => {
            let key = global[keyName];
            if (!key) return;
            
            let bind = key.key.getValue();
            wasKeyDown[keyName] = Client.isKeyDown(bind);
        });
    }
    
    keysCurrentlyPressed = currentlyPressedCount;
});